
kerio.waw.ui.httpRuleUrlEditor = {

x_m: function(x_n) {
var
x_1d,
x_1c,
x_ja,
x_10,
x_16,
x_2w,
x_1b = kerio.lib,
x_x = x_1b.x_x,
x_wf = x_r.x_wf,
x_o = (kerio.waw.status.x_p.x_q === x_r.x_s.x_t);
this.x_ga = x_n; x_2w = this.x_ga + '_';
x_1d = {
x_5p: x_o,
x_1e: [
{	x_1f: 'x_1i',
x_1o: x_x('Apply the rule for:', 'httpRuleEditor'),
x_1l: true
},
{	x_1f: 'x_5x',
x_b2: 1,
x_1e: [
{	x_1f: 'x_7a',
x_7b: 'x_yn',
x_1s: x_x('an URL beginning with:', 'httpRuleEditor'),
x_1l: true,
x_7d: true,
x_1o: x_wf.x_wp,

x_9t: function(x_1c, x_ax, x_1o) {
var
x_wf = x_r.x_wf,
x_bh = x_1c.x_bh;
x_1c.x_84(x_bh, true);
switch (x_1o) {
case x_wf.x_wp:
x_1c.x_84(['x_6a'], false);
break;
case x_wf.x_wq:
x_1c.x_84(['x_yo'], false);
break;
case x_wf.x_wg:
if (x_1c.x_16.x_5d.x_wy) {
x_1c.x_84(['x_yp'], false);
}
break;
}
}},
{	x_1j: 'x_6a',
x_1l: true,
x_93: 127,
x_ge: true
}
]
},
{	x_1f: 'x_5x',
x_b2: 1,
x_1e: [
{	x_1f: 'x_7a',
x_7b: 'x_yn',
x_1s: x_x('an URL from the group', 'httpRuleEditor'),
x_1l: true,
x_7d: true,
x_1o: x_wf.x_wq
},
{	x_1f: 'x_9u',
x_1j: 'x_yo',
x_1l: true,
x_5z: [],
x_a5: 'x_a6',
x_a7: 'x_1j',
x_31: true,
x_1u: '100%'
}
]
},
{	x_1f: 'x_5x',
x_b2: 1,
x_1e: [
{	x_1f: 'x_7a',
x_7b: 'x_yn',
x_1s: x_x('an URL rated by Kerio Web Filter rating system', 'httpRuleEditor'),
x_1l: true,
x_7d: true,
x_1o: x_wf.x_wg
},
{	x_1f: 'x_rc',
x_1j: 'x_yp',
x_23: x_x('Select rating…', 'httpRuleEditor'),
x_31: true,

x_25: function() {
var x_16 = this.x_9d.x_16;
kerio.lib.x_5l.x_5m({
x_5g: 'httpRuleRatingEditor',
x_28: {
x_47: x_16.x_o5,
x_2p: x_16
}
});
}}
]
},
{	x_1f: 'x_7a',
x_b2: 1,
x_7b: 'x_yn',
x_1l: true,
x_1s: x_x('any URL where server is specified by an IP address', 'httpRuleEditor'),
x_1o: x_wf.x_wr
}
]
};x_1c = new x_1b.x_1t(x_2w + 'x_yq', x_1d);
x_ja = x_1b.x_a1(
{	x_a2: 530,
cs: 485,
en: 485,
hr: 485,
es: 550,
pt: 550,
fr: 550,
it: 550,
de: 620,
nl: 570
});
x_10 = {
x_1u: x_ja,
x_1v: 210,
x_1y: x_x('HTTP Rule - URL', 'httpRuleEditor'),
x_1x: x_1c,

x_mc: function(x_32) {
x_32.x_16.x_iy.call(x_32.x_16);
} };x_10 = new x_fa.x_md(x_10);
x_16 = new x_1b.x_26(this.x_ga, x_10);
x_16.x_27(
{	x_1c: x_1c,
x_o5: {},
x_yr: {},
x_5d: {}
}
);x_1c.x_27(
{	x_yn: x_1c.x_29('x_yn'),
x_yp: x_1c.x_29('x_yp'),
x_yo: x_1c.x_29('x_yo'),
x_6a: x_1c.x_29('x_6a'),
x_bh: ['x_6a', 'x_yo', 'x_yp'],
x_16: x_16,
x_ys: x_wf.x_wp,
x_vb: false,
x_vc: {}
}
);this.x_2a(x_16);
return x_16;
}, 
x_2a: function(x_2b) {

x_2b.x_2c = function(x_28){
var
x_1c = this.x_1c,
x_47 = x_28.x_47,
x_yt = x_47.urlCondition,
x_yu = x_yt.serverUrlGroup,
x_yn = x_yt.type,
x_yv = false,
x_7h,
x_vd,
x_gh;
this.x_yr = x_47;
this.x_o5 = kerio.lib.x_9m(x_47);
this.x_5d = x_28.x_5d;
x_yv = !this.x_5d.x_wy;
x_1c.x_yn.x_yw(x_r.x_wf.x_wg, x_yv);
x_1c.x_yp.x_84(x_yv);
x_vd = {
x_ic: 'x_ml',
x_9u: x_1c.x_yo,
x_1c: x_1c,
x_vf: false,
x_1o: (
{	x_1j: x_yu.id,
x_a6: x_yu.name
}
) };
x_gh = new kerio.waw.shared.x_3e.x_ib(x_vd);
x_gh.x_4y();
if (x_yu.invalid) {
x_1c.x_vb = true;
x_1c.x_vc = x_yu;
}
x_7h = {
x_yn: x_yn
};
if (x_r.x_wf.x_wp === x_yn) {
x_7h.x_6a = ('' !== x_yt.url ? x_yt.url : '*');}
x_1c.x_ys = x_yn;
x_1c.x_7k(x_7h);
};
x_2b.x_iy = function() {
var
x_1c  = this.x_1c,
x_7h = x_1c.x_7i(true),
x_o5 = this.x_o5,
x_6a = x_1c.x_6a.x_2t(),
x_wf = x_r.x_wf,
x_wg = x_wf.x_wg,
x_yn = x_7h.x_yn,
x_1b = kerio.lib,
x_x = x_1b.x_x,
x_wn,
x_wo,
x_5d;
x_wn = {
pageRating: [],
serverUrlGroup: {
id: '',
invalid: false,
name: ''
},
type: x_yn,
url: ''
};
if (x_wf.x_wq === x_yn && x_1c.x_yo.x_gh.x_vi()) {
x_1b.x_48(
x_x('No group available', 'policyList'),
x_x('There is no group available. Please select another option.', 'policyList')
); this.x_jt();
return;
}
switch (x_yn) {
case x_wf.x_wp:
x_wn.url = ('' !== x_6a ? x_6a : '*');
break;
case x_wf.x_wq:
x_wo = x_wn.serverUrlGroup;
x_wo.id = x_7h.x_yo;
x_wo.name = x_1c.x_yo.x_vj();
if (x_1c.x_vb && x_1c.x_vc.name === x_wo.name) {
x_wo = x_1c.x_vc;
x_wo.invalid = true;
}
x_wn.serverUrlGroup = x_wo;
break;
case x_wg:
x_wn.pageRating = x_o5.urlCondition.pageRating;
break;
} x_o5.urlCondition = x_wn;
x_5d = this.x_5d;
this.x_yr.urlCondition = x_wn;
x_5d.x_2p.x_g4(x_5d.x_w0);
if (x_wg === x_1c.x_ys || x_wg === x_yn) {
x_5d.x_hd();
x_5d.x_he();
}
x_5d.x_hg();
this.x_2r();
kerio.waw.status.x_14.x_15(true);
};
x_2b.x_jo = function() {
this.x_1c.x_vb = false;
this.x_1c.x_2h();
};}}; 